(function(){
  var valEmail = function(valor){
    re = /^[_a-z0-9-]+(.[_a-z0-9-]+)*@[a-z0-9-]+(.[a-z0-9-]+)*(.[a-z]{2,3})$/ ;
    if(!re.exec(valor))
      return false;
    else
      return true;
  }

  var validar = function(e){
    var ok = true;
    if(nombre.value == ""){
      alert("Introduzca su nombre");
      e.preventDefault();
      ok = false;
    }

    if(!valEmail(email.value) || email.value == 0){
      alert("Introduzca un correo electrónico válido");
      e.preventDefault();
      ok = false;
    }

    if(mensaje.value == 0){
      alert("Introduzca un mensaje para enviar");
      e.preventDefault();
      ok = false;
    }

    if(ok) alert("Enviando...");
    //if(!ok) alert("No se ha enviado el mensaje");
  }

  var formulario = document.getElementById('form_contact-us'),
      nombre = document.querySelector("#uname"),
      email = document.querySelector("#cmail"),
      mensaje = document.querySelector("#ccoment"),
      boton = document.getElementById('btn_contact-us');

  boton.addEventListener("click",validar);

}())
